All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish
Class EventData

    com.sas.services.publish.EventData

All Implemented Interfaces:
  EventDataInterface, java.io.Serializable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class EventData

implements EventDataInterface, java.io.Serializable

Contains the SASPackage event data. This includes the SASPackage event body, as well as persistence information. See SASPackage Event Usage for more details.

This class should not be invoked by the calling application. Supported delivery transports will use it to create an event describing the result package. Calling applications will only have to interface with the `EventDataInterface`.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`EventData(java.lang.String event, boolean isPersisted)`

Method Summary
`java.lang.String` | `getBodyAsString()` Returns the SASPackage event body that describes the result package.
`boolean` | `isPackagePersisted()` Returns `true` if the result package represented by this event, was persisted.

Constructor Detail

### EventData

    public EventData(java.lang.String event,
                     boolean isPersisted)

Method Detail

### getBodyAsString

    public java.lang.String getBodyAsString()

  Description copied from interface: `EventDataInterface`
  Returns the SASPackage event body that describes the result package.

  Specified by:
    `getBodyAsString` in interface `EventDataInterface`
  Returns:
    `String` The SASPackage event body.

### isPackagePersisted

    public boolean isPackagePersisted()

  Description copied from interface: `EventDataInterface`
  Returns `true` if the result package represented by this event, was persisted. If `true`, the event body will contain a URL to the persisted package.

  Specified by:
    `isPackagePersisted` in interface `EventDataInterface`
  Returns:
    `boolean` `true`if the result package was persisted;otherwise, `false` is returned.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.